kr.co.hanwha.hifive.enums

## Enum MemberRoleType

- java.lang.Object
- - java.lang.Enum<MemberRoleType>
  - - kr.co.hanwha.hifive.enums.MemberRoleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MemberRoleType>

      public enum MemberRoleType
      extends java.lang.Enum<MemberRoleType>

  Created by sanghoonkwon on 2018. 2. 26..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLUSTER_COACH` 클러스터 코치
    `CLUSTER_MANAGER` 클러스터 관리자
    `CLUSTER_MEMBER` 클러스터 멤버
    `NULL`
    `UNIT_LEADER` 캡틴(유닛의 리더)
    `UNIT_MANAGER` 유닛관리자
    `UNIT_MEMBER` 유닛원

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `mType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static MemberRoleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MemberRoleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final MemberRoleType NULL

    - #### UNIT_MEMBER

          public static final MemberRoleType UNIT_MEMBER

      유닛원

    - #### UNIT_MANAGER

          public static final MemberRoleType UNIT_MANAGER

      유닛관리자

    - #### UNIT_LEADER

          public static final MemberRoleType UNIT_LEADER

      캡틴(유닛의 리더)

    - #### CLUSTER_MEMBER

          public static final MemberRoleType CLUSTER_MEMBER

      클러스터 멤버

    - #### CLUSTER_MANAGER

          public static final MemberRoleType CLUSTER_MANAGER

      클러스터 관리자

    - #### CLUSTER_COACH

          public static final MemberRoleType CLUSTER_COACH

      클러스터 코치

  - ### Field Detail

    - #### mType

          private int mType

  - ### Method Detail

    - #### values

          public static MemberRoleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemberRoleType c : MemberRoleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemberRoleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()